cmake_minimum_required(VERSION 3.15)
project(Prog3B)

set(CMAKE_CXX_STANDARD 17)

include(FetchContent)

FetchContent_Declare(
        raylib
        GIT_REPOSITORY https://github.com/raysan5/raylib.git
        GIT_TAG 5.0
)

FetchContent_MakeAvailable(raylib)

add_executable(Prog3B
        main.cpp
        gamecube.cpp
        gamematrix.cpp
)

target_include_directories(Prog3B PRIVATE .)
target_link_libraries(Prog3B raylib)